package newsource

type BjNewsResponse struct {
	Data struct {
		Data []BjNewsItem `json:"data"`
	} `json:"data"`
}

type BjNewsDetailURL struct {
	MURL  string `json:"m_url"`
	PcURL string `json:"pc_url"`
}

type BjNewsItem struct {
	Source    BjNewsSource    `json:"_source"`
	Highlight BjNewsHighlight `json:"highlight"`
}

type BjNewsSource struct {
	SpecialType string          `json:"special_type"`
	PublishTime string          `json:"publish_time"`
	Title       string          `json:"title"`
	Type        int             `json:"type"`
	Keyword     []interface{}   `json:"keyword"`
	UUID        string          `json:"uuid"`
	CoverList   string          `json:"cover_list"`
	HasVideo    int             `json:"has_video"`
	ImgList     []string        `json:"img_list"`
	Cover       string          `json:"cover"`
	BigCover    string          `json:"big_cover"`
	CommentNum  int             `json:"comment_num"`
	ZanNum      int             `json:"zan_num"`
	ShareNum    string          `json:"share_num"`
	LiveStatus  string          `json:"live_status"`
	XjhID       string          `json:"xjh_id"`
	DetailURL   BjNewsDetailURL `json:"detail_url"`
}

type BjNewsHighlight struct {
	Title   string `json:"title"`
	Desc    string `json:"desc"`
	Content string `json:"content"`
}
