package newsource

type CCDIPAGERInfo struct {
	BM           string `json:"BM"`
	BC           string `json:"BC"`
	DOCAUTHOR    string `json:"DOCAUTHOR"`
	DOCPUBTIME   string `json:"DOCPUBTIME"`
	DOCTITLE     string `json:"DOCTITLE"`
	TXS          string `json:"TXS"`
	ZBGUID       string `json:"ZB_GUID"`
	ZBSOURCESITE string `json:"ZB_SOURCE_SITE"`
	YT           string `json:"YT,omitempty"`
	IRCONTENT    string `json:"IR_CONTENT"`
	FB           string `json:"FB,omitempty"`
}
type CCDIPAGERResponse struct {
	Data CCDIPAGERData `json:"data"`
	Code bool          `json:"code"`
	Msg  string        `json:"msg"`
}
type CCDIPAGERData struct {
	Info     []CCDIPAGERInfo `json:"info"`
	NextPage int             `json:"nextPage"`
}
