package newsource

type ZaoBaoResponse struct {
	Result struct {
		Data []ZaoBaoItem `json:"data"`
	} `json:"result"`
}

type ZaoBaoItem struct {
	ID              string      `json:"id"`
	Title           string      `json:"title"`
	Digest          interface{} `json:"digest"`
	ContentPreview  string      `json:"contentPreview"`
	MainNode        string      `json:"mainNode"`
	PublicationDate int64       `json:"publicationDate"`
	URL             string      `json:"url"`
	Pictures        interface{} `json:"pictures"`
	IsSticky        int         `json:"isSticky"`
}
